Bug 97037 - "Preferred Applications" (/usr/bin/gnome-default-applications-properties) / Web Browser: configuration isn't saved
"Preferred Applications" (/usr/bin/gnome-default-applications-properties) / W...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-09 11:03 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:20:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-09 11:03:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.2.1) Gecko/20030225

Description of problem:
The "Preferred Applications", "Web Browser" tab has two check boxes:
1 - "Select a web browser" + a list of browsers
2 - "Custom web browser" + a custom text("mozilla %s" in RH9).
In RH9 the 2nd is the default. Everything worked fine for me: if I clicked a
link in a window, e.g. Evolution, Mozilla was launched.
At some point this was broken: Galeon was launched instead. I realized that the
^first^ option + "Mozilla/Netscape 6" suboption was selected. But if I select
the second option, it is not saved, i.e. the next time I launch the applet the
first option is selected.
After uninstalling Galeon, if I click a link nothing happens.
Furthermore, if I select from the first option, say, "Konqueror", this one is
saved, but it is not launched anyway.

Version-Release number of selected component (if applicable):
control-center-2.2.0.1-9

How reproducible:
Always

Steps to Reproduce:
1.open the "Preferred Applications" applet
2.change the default option
3.try to select the second, close the app and launch it again
    

Actual Results:  The second option is not saved when the application is closed

Expected Results:  It should be saved

Additional info:

This is a fresh new RH9 installation.
Comment 1 Marco Pesenti Gritti 2004-11-04 10:07:00 EST
It works fine here. Can you please test with a more recent version and
see if it works? Otherwise can you run
gnome-default-applications-properties from a console and see if there
is any output when you try to change the value?
Comment 2 Marius Ologesa 2005-03-01 06:51:30 EST
This thing happened to me also after updating mozilla-firefox; Firefox
was selected on Custom and I updated it (Software updates from
Firefox). Next I noticed that when i click from gaim it opens firefox
but not navigates to link. Only when I select Epiphany (first in list)
everything goes smoothly. If I select Mozilla (second in list) or
something on Custom next time I open Preferred Applications no radio
button is selected; Epiphany is chosen in the combobox and mozilla
-1.6 %s written on Custom.

I opened it from a terminal and did not output anything.
Comment 3 Bill Nottingham 2006-08-05 01:28:13 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:20:23 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.